Yuki Platform API Prod

Delete Domain User

This endpoint allows deleting a user from a specific domain by email. Users attempting to perform this operation need to ensure they possess the necessary permissions. Once deleted, the user information cannot be recovered. You should have yukiapi:domain:users:delete scope to access this endpoint.

delete
https://apirest.yukiworks.com/api/v1/domains/{domain-id}/users/byEmail

Query Parameters

emailstring(email)required

Email address to search for

Path Parameters

domain-idstringrequired

The domain name

Example:3afb7b54-6144-4561-9a29-1148006f2375

Headers

Authorizationstringrequired

Bearer token for authentication

Content-Typestringrequired

Content type of the request body

Default:application/json

Response

Domain user successfully deleted

 

Portal

Operations related to portals

Get Portal info

This endpoint retrieves information about a portal using its unique portal ID. Ensure you have the necessary permissions before accessing this endpoint. You should have yukiapi:portal:portals:read scope to access this endpoint.

get
https://apirest.yukiworks.com/api/v1/portals/{portal-id}

Path Parameters

portal-idstringrequired

The portal id

Example:3afb7b54-6144-4561-9a29-1148006f2375

Headers

Authorizationstringrequired

Bearer token for authentication

Content-Typestringrequired

Content type of the request body

Default:application/json

Response

application/json

Portal object

Portal

idstring

The unique ID of the Portal

Example:3afb7b54-6144-4561-9a29-1148006f2375

namestring

Name of the Portal

Example:Example Portal

countrystring

Country of the Portal in ISO-3166 (2 char) format

contactobject

Contact of the Portal

Show Child Parameters
 
application/json

Portal User

Operations related to portal users

Get All Portal Users

This endpoint retrieves basic information about users by Portal id. You should have yukiapi:portal:users:read scope to access this endpoint.

get
https://apirest.yukiworks.com/api/v1/portals/{portal-id}/users

Query Parameters

offsetinteger

The number of items to skip before starting to collect the result set

limitinteger

The numbers of items to return

Path Parameters

portal-idstringrequired

The portal id

Example:3afb7b54-6144-4561-9a29-1148006f2375

Headers

Authorizationstringrequired

Bearer token for authentication

Content-Typestringrequired

Content type of the request body

Default:application/json

Response

application/json

Paged result of portal users

totalItemsinteger

Total number of items available

Example:100

offsetinteger

Current offset in the list

Example:10

limitinteger

Maximum number of items returned

Example:20

itemsarray[object]
Show Child Parameters
 
application/json